<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tofly.scada.mapper.MessagepushWMapper">

    <resultMap id="BaseResultMap" type="com.tofly.scada.entity.MessagepushW">
            <id property="id" column="ID" jdbcType="DECIMAL"/>
            <result property="topic" column="TOPIC" jdbcType="VARCHAR"/>
            <result property="replyId" column="REPLY_ID" jdbcType="DECIMAL"/>
            <result property="type" column="TYPE" jdbcType="VARCHAR"/>
            <result property="tableName" column="TABLE_NAME" jdbcType="VARCHAR"/>
            <result property="tableId" column="TABLE_ID" jdbcType="DECIMAL"/>
            <result property="routeIp" column="ROUTE_IP" jdbcType="VARCHAR"/>
            <result property="createTime" column="CREATE_TIME" jdbcType="TIMESTAMP"/>
            <result property="createUser" column="CREATE_USER" jdbcType="DECIMAL"/>
            <result property="routeIpApp" column="ROUTE_IP_APP" jdbcType="VARCHAR"/>
            <result property="isEmergency" column="IS_EMERGENCY" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        ID,TOPIC,REPLY_ID,
        TYPE,TABLE_NAME,TABLE_ID,
        ROUTE_IP,CREATE_TIME,CREATE_USER,
        ROUTE_IP_APP,IS_EMERGENCY,MESSAGE
    </sql>
</mapper>
